diff --git a/doc/bash.0 b/doc/bash.0
index cec51773..29769d53 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -1059,196 +1059,205 @@ PPAARRAAMMEETTEERRSS
               an Emacs shell buffer and disables line editing.
        EENNVV    Similar  to  BBAASSHH__EENNVV;  used  when the shell is invoked in POSIX
               mode.
+       EEXXEECCIIGGNNOORREE
+              A colon-separated list of extended glob  patterns  (see  PPaatttteerrnn
+              MMaattcchhiinngg)  defining  the list of filenames to be ignored by com-
+              mand search.  Files whose full pathnames match one of these pat-
+              terns  are  not  considered executable files for the purposes of
+              completion and command execution.   This  does  not  affect  the
+              behavior  of the [[, tteesstt, and [[[[ commands.  Use this variable to
+              ignore shared library files that have the  executable  bit  set,
+              but are not executable files.
        FFCCEEDDIITT The default editor for the ffcc builtin command.
        FFIIGGNNOORREE
-              A colon-separated list of suffixes  to  ignore  when  performing
+              A  colon-separated  list  of  suffixes to ignore when performing
               filename completion (see RREEAADDLLIINNEE below).  A filename whose suf-
-              fix matches one of the entries in FFIIGGNNOORREE is excluded  from  the
+              fix  matches  one of the entries in FFIIGGNNOORREE is excluded from the
               list of matched filenames.  A sample value is ".o:~".
        FFUUNNCCNNEESSTT
-              If  set  to  a  numeric  value greater than 0, defines a maximum
-              function nesting level.  Function invocations that  exceed  this
+              If set to a numeric value greater  than  0,  defines  a  maximum
+              function  nesting  level.  Function invocations that exceed this
               nesting level will cause the current command to abort.
        GGLLOOBBIIGGNNOORREE
               A colon-separated list of patterns defining the set of filenames
               to be ignored by pathname expansion.  If a filename matched by a
-              pathname  expansion  pattern also matches one of the patterns in
+              pathname expansion pattern also matches one of the  patterns  in
               GGLLOOBBIIGGNNOORREE, it is removed from the list of matches.
        HHIISSTTCCOONNTTRROOLL
-              A colon-separated list of values controlling  how  commands  are
-              saved  on  the  history  list.   If  the list of values includes
-              _i_g_n_o_r_e_s_p_a_c_e, lines which begin with a ssppaaccee  character  are  not
-              saved  in  the history list.  A value of _i_g_n_o_r_e_d_u_p_s causes lines
+              A  colon-separated  list  of values controlling how commands are
+              saved on the history list.   If  the  list  of  values  includes
+              _i_g_n_o_r_e_s_p_a_c_e,  lines  which  begin with a ssppaaccee character are not
+              saved in the history list.  A value of _i_g_n_o_r_e_d_u_p_s  causes  lines
               matching the previous history entry to not be saved.  A value of
               _i_g_n_o_r_e_b_o_t_h is shorthand for _i_g_n_o_r_e_s_p_a_c_e and _i_g_n_o_r_e_d_u_p_s.  A value
               of _e_r_a_s_e_d_u_p_s causes all previous lines matching the current line
-              to  be  removed from the history list before that line is saved.
-              Any value not in the above list is ignored.  If  HHIISSTTCCOONNTTRROOLL  is
-              unset,  or does not include a valid value, all lines read by the
+              to be removed from the history list before that line  is  saved.
+              Any  value  not in the above list is ignored.  If HHIISSTTCCOONNTTRROOLL is
+              unset, or does not include a valid value, all lines read by  the
               shell parser are saved on the history list, subject to the value
-              of  HHIISSTTIIGGNNOORREE.  The second and subsequent lines of a multi-line
-              compound command are not tested, and are added  to  the  history
+              of HHIISSTTIIGGNNOORREE.  The second and subsequent lines of a  multi-line
+              compound  command  are  not tested, and are added to the history
               regardless of the value of HHIISSTTCCOONNTTRROOLL.
        HHIISSTTFFIILLEE
               The name of the file in which command history is saved (see HHIISS--
-              TTOORRYY below).  The default value is _~_/_._b_a_s_h___h_i_s_t_o_r_y.   If  unset,
+              TTOORRYY  below).   The default value is _~_/_._b_a_s_h___h_i_s_t_o_r_y.  If unset,
               the command history is not saved when a shell exits.
        HHIISSTTFFIILLEESSIIZZEE
               The maximum number of lines contained in the history file.  When
-              this variable is assigned a value, the  history  file  is  trun-
-              cated,  if  necessary,  to  contain  no more than that number of
-              lines by removing the oldest entries.  The history file is  also
-              truncated  to this size after writing it when a shell exits.  If
-              the value is 0, the history file  is  truncated  to  zero  size.
-              Non-numeric  values  and  numeric  values less than zero inhibit
-              truncation.  The shell sets the default value to  the  value  of
+              this  variable  is  assigned  a value, the history file is trun-
+              cated, if necessary, to contain no  more  than  that  number  of
+              lines  by removing the oldest entries.  The history file is also
+              truncated to this size after writing it when a shell exits.   If
+              the  value  is  0,  the  history file is truncated to zero size.
+              Non-numeric values and numeric values  less  than  zero  inhibit
+              truncation.   The  shell  sets the default value to the value of
               HHIISSTTSSIIZZEE after reading any startup files.
        HHIISSTTIIGGNNOORREE
-              A  colon-separated list of patterns used to decide which command
-              lines should be saved on the  history  list.   Each  pattern  is
-              anchored  at  the  beginning of the line and must match the com-
-              plete line (no implicit  `**'  is  appended).   Each  pattern  is
-              tested  against  the line after the checks specified by HHIISSTTCCOONN--
-              TTRROOLL are applied.  In  addition  to  the  normal  shell  pattern
+              A colon-separated list of patterns used to decide which  command
+              lines  should  be  saved  on  the history list.  Each pattern is
+              anchored at the beginning of the line and must  match  the  com-
+              plete  line  (no  implicit  `**'  is  appended).  Each pattern is
+              tested against the line after the checks specified  by  HHIISSTTCCOONN--
+              TTRROOLL  are  applied.   In  addition  to  the normal shell pattern
               matching characters, `&&' matches the previous history line.  `&&'
-              may be escaped using  a  backslash;  the  backslash  is  removed
+              may  be  escaped  using  a  backslash;  the backslash is removed
               before attempting a match.  The second and subsequent lines of a
               multi-line compound command are not tested, and are added to the
               history regardless of the value of HHIISSTTIIGGNNOORREE.
        HHIISSTTSSIIZZEE
-              The  number  of commands to remember in the command history (see
-              HHIISSTTOORRYY below).  If the value is 0, commands are  not  saved  in
+              The number of commands to remember in the command  history  (see
+              HHIISSTTOORRYY  below).   If  the value is 0, commands are not saved in
               the history list.  Numeric values less than zero result in every
-              command being saved on the history list  (there  is  no  limit).
-              The  shell  sets  the  default  value  to  500 after reading any
+              command  being  saved  on  the history list (there is no limit).
+              The shell sets the  default  value  to  500  after  reading  any
               startup files.
        HHIISSTTTTIIMMEEFFOORRMMAATT
-              If this variable is set and not null, its value  is  used  as  a
+              If  this  variable  is  set and not null, its value is used as a
               format string for _s_t_r_f_t_i_m_e(3) to print the time stamp associated
-              with each history entry displayed by the  hhiissttoorryy  builtin.   If
-              this  variable  is  set,  time stamps are written to the history
-              file so they may be preserved across shell sessions.  This  uses
-              the  history  comment  character  to distinguish timestamps from
+              with  each  history  entry displayed by the hhiissttoorryy builtin.  If
+              this variable is set, time stamps are  written  to  the  history
+              file  so they may be preserved across shell sessions.  This uses
+              the history comment character  to  distinguish  timestamps  from
               other history lines.
        HHOOMMEE   The home directory of the current user; the default argument for
               the ccdd builtin command.  The value of this variable is also used
               when performing tilde expansion.
        HHOOSSTTFFIILLEE
-              Contains the name of a file in the  same  format  as  _/_e_t_c_/_h_o_s_t_s
+              Contains  the  name  of  a file in the same format as _/_e_t_c_/_h_o_s_t_s
               that should be read when the shell needs to complete a hostname.
-              The list of possible hostname completions may be  changed  while
-              the  shell  is  running;  the  next  time hostname completion is
-              attempted after the value is changed, bbaasshh adds the contents  of
-              the  new file to the existing list.  If HHOOSSTTFFIILLEE is set, but has
-              no value, or does not name a readable  file,  bbaasshh  attempts  to
-              read  _/_e_t_c_/_h_o_s_t_s to obtain the list of possible hostname comple-
+              The  list  of possible hostname completions may be changed while
+              the shell is running;  the  next  time  hostname  completion  is
+              attempted  after the value is changed, bbaasshh adds the contents of
+              the new file to the existing list.  If HHOOSSTTFFIILLEE is set, but  has
+              no  value,  or  does  not name a readable file, bbaasshh attempts to
+              read _/_e_t_c_/_h_o_s_t_s to obtain the list of possible hostname  comple-
               tions.  When HHOOSSTTFFIILLEE is unset, the hostname list is cleared.
-       IIFFSS    The _I_n_t_e_r_n_a_l _F_i_e_l_d _S_e_p_a_r_a_t_o_r that is  used  for  word  splitting
-              after  expansion  and  to  split  lines into words with the rreeaadd
+       IIFFSS    The  _I_n_t_e_r_n_a_l  _F_i_e_l_d  _S_e_p_a_r_a_t_o_r  that is used for word splitting
+              after expansion and to split lines  into  words  with  the  rreeaadd
               builtin  command.   The  default  value  is  ``<space><tab><new-
               line>''.
        IIGGNNOORREEEEOOFF
               Controls the action of an interactive shell on receipt of an EEOOFF
               character as the sole input.  If set, the value is the number of
-              consecutive  EEOOFF  characters  which  must  be typed as the first
-              characters on an input line before bbaasshh exits.  If the  variable
-              exists  but  does not have a numeric value, or has no value, the
-              default value is 10.  If it does not exist,  EEOOFF  signifies  the
+              consecutive EEOOFF characters which must  be  typed  as  the  first
+              characters  on an input line before bbaasshh exits.  If the variable
+              exists but does not have a numeric value, or has no  value,  the
+              default  value  is  10.  If it does not exist, EEOOFF signifies the
               end of input to the shell.
        IINNPPUUTTRRCC
-              The  filename  for  the  rreeaaddlliinnee  startup  file, overriding the
+              The filename for  the  rreeaaddlliinnee  startup  file,  overriding  the
               default of _~_/_._i_n_p_u_t_r_c (see RREEAADDLLIINNEE below).
-       LLAANNGG   Used to determine the  locale  category  for  any  category  not
+       LLAANNGG   Used  to  determine  the  locale  category  for any category not
               specifically selected with a variable starting with LLCC__.
-       LLCC__AALLLL This  variable  overrides  the  value  of LLAANNGG and any other LLCC__
+       LLCC__AALLLL This variable overrides the value of  LLAANNGG  and  any  other  LLCC__
               variable specifying a locale category.
        LLCC__CCOOLLLLAATTEE
-              This variable determines the collation order used  when  sorting
-              the  results  of pathname expansion, and determines the behavior
-              of  range  expressions,  equivalence  classes,   and   collating
+              This  variable  determines the collation order used when sorting
+              the results of pathname expansion, and determines  the  behavior
+              of   range   expressions,  equivalence  classes,  and  collating
               sequences within pathname expansion and pattern matching.
        LLCC__CCTTYYPPEE
-              This  variable  determines  the interpretation of characters and
-              the behavior of character classes within pathname expansion  and
+              This variable determines the interpretation  of  characters  and
+              the  behavior of character classes within pathname expansion and
               pattern matching.
        LLCC__MMEESSSSAAGGEESS
-              This  variable  determines  the locale used to translate double-
+              This variable determines the locale used  to  translate  double-
               quoted strings preceded by a $$.
        LLCC__NNUUMMEERRIICC
-              This variable determines the locale  category  used  for  number
+              This  variable  determines  the  locale category used for number
               formatting.
-       LLIINNEESS  Used  by  the  sseelleecctt  compound  command to determine the column
-              length for printing selection lists.  Automatically set  if  the
-              cchheecckkwwiinnssiizzee  option  is enabled or in an interactive shell upon
+       LLIINNEESS  Used by the sseelleecctt compound  command  to  determine  the  column
+              length  for  printing selection lists.  Automatically set if the
+              cchheecckkwwiinnssiizzee option is enabled or in an interactive  shell  upon
               receipt of a SSIIGGWWIINNCCHH.
-       MMAAIILL   If this parameter is set to a file or  directory  name  and  the
-              MMAAIILLPPAATTHH  variable  is  not  set,  bbaasshh  informs the user of the
-              arrival of mail in the specified file or  Maildir-format  direc-
+       MMAAIILL   If  this  parameter  is  set to a file or directory name and the
+              MMAAIILLPPAATTHH variable is not set,  bbaasshh  informs  the  user  of  the
+              arrival  of  mail in the specified file or Maildir-format direc-
               tory.
        MMAAIILLCCHHEECCKK
-              Specifies  how  often  (in  seconds)  bbaasshh checks for mail.  The
-              default is 60 seconds.  When it is time to check for  mail,  the
-              shell  does  so  before  displaying the primary prompt.  If this
-              variable is unset, or set to  a  value  that  is  not  a  number
+              Specifies how often (in seconds)  bbaasshh  checks  for  mail.   The
+              default  is  60 seconds.  When it is time to check for mail, the
+              shell does so before displaying the  primary  prompt.   If  this
+              variable  is  unset,  or  set  to  a  value that is not a number
               greater than or equal to zero, the shell disables mail checking.
        MMAAIILLPPAATTHH
               A colon-separated list of filenames to be checked for mail.  The
               message to be printed when mail arrives in a particular file may
-              be  specified by separating the filename from the message with a
-              `?'.  When used in the text of the message, $$__  expands  to  the
+              be specified by separating the filename from the message with  a
+              `?'.   When  used  in the text of the message, $$__ expands to the
               name of the current mailfile.  Example:
               MMAAIILLPPAATTHH='/var/mail/bfox?"You  have  mail":~/shell-mail?"$_  has
               mail!"'
-              BBaasshh supplies a default value for this variable, but  the  loca-
-              tion  of  the  user  mail files that it uses is system dependent
+              BBaasshh  supplies  a default value for this variable, but the loca-
+              tion of the user mail files that it  uses  is  system  dependent
               (e.g., /var/mail/$$UUSSEERR).
        OOPPTTEERRRR If set to the value 1, bbaasshh displays error messages generated by
-              the  ggeettooppttss builtin command (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below).
-              OOPPTTEERRRR is initialized to 1 each time the shell is invoked  or  a
+              the ggeettooppttss builtin command (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS  below).
+              OOPPTTEERRRR  is  initialized to 1 each time the shell is invoked or a
               shell script is executed.
-       PPAATTHH   The  search  path for commands.  It is a colon-separated list of
-              directories in which the shell looks for commands  (see  CCOOMMMMAANNDD
-              EEXXEECCUUTTIIOONN  below).   A  zero-length (null) directory name in the
+       PPAATTHH   The search path for commands.  It is a colon-separated  list  of
+              directories  in  which the shell looks for commands (see CCOOMMMMAANNDD
+              EEXXEECCUUTTIIOONN below).  A zero-length (null) directory  name  in  the
               value of PPAATTHH indicates the current directory.  A null directory
-              name  may  appear  as  two  adjacent colons, or as an initial or
-              trailing colon.  The default path is  system-dependent,  and  is
-              set  by  the administrator who installs bbaasshh.  A common value is
+              name may appear as two adjacent colons,  or  as  an  initial  or
+              trailing  colon.   The  default path is system-dependent, and is
+              set by the administrator who installs bbaasshh.  A common  value  is
               ``/usr/local/bin:/usr/local/sbin:/usr/bin:/usr/sbin:/bin:/sbin''.
        PPOOSSIIXXLLYY__CCOORRRREECCTT
-              If  this  variable  is  in the environment when bbaasshh starts, the
-              shell enters _p_o_s_i_x _m_o_d_e before reading the startup files, as  if
-              the  ----ppoossiixx  invocation option had been supplied.  If it is set
-              while the shell is running, bbaasshh enables _p_o_s_i_x _m_o_d_e, as  if  the
+              If this variable is in the environment  when  bbaasshh  starts,  the
+              shell  enters _p_o_s_i_x _m_o_d_e before reading the startup files, as if
+              the ----ppoossiixx invocation option had been supplied.  If it  is  set
+              while  the  shell is running, bbaasshh enables _p_o_s_i_x _m_o_d_e, as if the
               command _s_e_t _-_o _p_o_s_i_x had been executed.
        PPRROOMMPPTT__CCOOMMMMAANNDD
               If set, the value is executed as a command prior to issuing each
               primary prompt.
        PPRROOMMPPTT__DDIIRRTTRRIIMM
-              If set to a number greater than zero, the value is used  as  the
+              If  set  to a number greater than zero, the value is used as the
               number of trailing directory components to retain when expanding
-              the \\ww and \\WW  prompt  string  escapes  (see  PPRROOMMPPTTIINNGG  below).
+              the  \\ww  and  \\WW  prompt  string  escapes (see PPRROOMMPPTTIINNGG below).
               Characters removed are replaced with an ellipsis.
-       PPSS11    The  value  of  this parameter is expanded (see PPRROOMMPPTTIINNGG below)
-              and used as the primary prompt string.   The  default  value  is
+       PPSS11    The value of this parameter is expanded  (see  PPRROOMMPPTTIINNGG  below)
+              and  used  as  the  primary prompt string.  The default value is
               ``\\ss--\\vv\\$$ ''.
-       PPSS22    The  value of this parameter is expanded as with PPSS11 and used as
+       PPSS22    The value of this parameter is expanded as with PPSS11 and used  as
               the secondary prompt string.  The default is ``>> ''.
        PPSS33    The value of this parameter is used as the prompt for the sseelleecctt
               command (see SSHHEELLLL GGRRAAMMMMAARR above).
-       PPSS44    The  value  of  this  parameter  is expanded as with PPSS11 and the
-              value is printed before each command  bbaasshh  displays  during  an
-              execution  trace.  The first character of PPSS44 is replicated mul-
-              tiple times, as necessary, to indicate multiple levels of  indi-
+       PPSS44    The value of this parameter is expanded  as  with  PPSS11  and  the
+              value  is  printed  before  each command bbaasshh displays during an
+              execution trace.  The first character of PPSS44 is replicated  mul-
+              tiple  times, as necessary, to indicate multiple levels of indi-
               rection.  The default is ``++ ''.
        SSHHEELLLL  The full pathname to the shell is kept in this environment vari-
-              able.  If it is not set when the shell starts, bbaasshh  assigns  to
+              able.   If  it is not set when the shell starts, bbaasshh assigns to
               it the full pathname of the current user's login shell.
        TTIIMMEEFFOORRMMAATT
-              The  value of this parameter is used as a format string specify-
-              ing how the timing information for pipelines prefixed  with  the
-              ttiimmee  reserved word should be displayed.  The %% character intro-
-              duces an escape sequence that is expanded to  a  time  value  or
-              other  information.  The escape sequences and their meanings are
+              The value of this parameter is used as a format string  specify-
+              ing  how  the timing information for pipelines prefixed with the
+              ttiimmee reserved word should be displayed.  The %% character  intro-
+              duces  an  escape  sequence  that is expanded to a time value or
+              other information.  The escape sequences and their meanings  are
               as follows; the braces denote optional portions.
               %%%%        A literal %%.
               %%[[_p]][[ll]]RR  The elapsed time in seconds.
